### Function

# Rsvg SizeFunc

deprecated: 2.14.

#### Declaration

    void
    (* RsvgSizeFunc) (
      gint* width,
      gint* height,
      gpointer user_data
    )

#### Description [src]

Function to let a user of the library specify the SVG’s dimensions

See the documentation for `rsvg_handle_set_size_callback()` for an example, and for the reasons for deprecation.

Deprecated since: 2.14.

Use `rsvg_handle_render_document()` instead, which lets you specify a viewport size in which to render the SVG document.

#### Parameters

`width`

  Type: `gint*`

  The width of the SVG.

  The argument will be set by the function.

`height`

  Type: `gint*`

  The height of the SVG.

  The argument will be set by the function.

`user_data`

  Type: `gpointer`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.